Sound Defs

Navigation: »No topics above this level«

Sound Defs

 Return to chapter overview

This section will cover the functionality of Sound Defs and how they interface with Multi-track Events. It will also detail how to create Sound Defs to create a range of effects

This help file was created with an unregistered evaluation copy of Help & Manual. © EC Software. All rights reserved. This message will not appear if you compile this help file with the registered version of Help & Manual.


Key topics in this section.

Navigation: »No topics above this level«

Key topics in this section

 Return to chapter overview
· Exploring the Sound Defs View
· The functionality of the Sound Defs Editor
· Tutorials on creating Sound Defs
· Sound Defs Properties table

This help file was created with an unregistered evaluation copy of Help & Manual. © EC Software. All rights reserved. This message will not appear if you compile this help file with the registered version of Help & Manual.


Introduction to Sound Defs

Navigation: Key topics in this section. >

Introduction to Sound Defs

 Return to chapter overview

Sound Defs are a core aspect of creating a resource-efficient sound design.

A Sound Def is an object within FMOD Designer 2010 that can have many of the same properties as a Simple Event and functions in much the same way. Sound Defs are, however, not a direct output object in FMOD Designer 2010, they are a component of Multi-Track Events.

The easiest way to think of a Sound Def is to consider it a form of Simple Event that must be nested within a Multi-Track Event to be utilized. They are essentially Event components.

Sound Defs can consist of anything from a single sound file that plays when triggered, to sound objects that consist of multiple sound files, a series of randomizing properties and complex playback behavior that result in real-time generated sound effects.


Sound file utilization

Navigation: Key topics in this section. > Introduction to Sound Defs >

Sound file utilization

 Return to chapter overview

The following example illustrates the value of FMOD Designer 2010’s method of accessing sound files. FMOD Designer 2010 can greatly improve the efficiency of raw sound assets and simultaneously create more effective sound effects.

Many game projects make use of the sounds of various firearms. Using the example of the sound of a shotgun, a game could include three different recordings of a particular shotgun. These three recordings would be subtly different. The expected use of these sounds is to represent a shotgun being fired however the following is also possible:

· Pitch shifted down an octave, a shotgun blast makes a convincing small explosion
· Played singly or as two played in quick succession, a shotgun blast can provide the initial blast for a complex real-time generated explosion of varying sizes
· Pitch shifted up considerably, a shotgun blast can represent a car backfiring or similar mechanical combustion discharge
· Pitch shifted down considerably, a shotgun can add significant emphasis to an earth quake or other major natural Event
· Pitch shifted or not, a shotgun can add emphasis to a wide range of fantasy spell sounds or science fiction energy effects either by layering into the background of a sound for emphasis or being used prominently

This single shotgun sound effect is contained in all of the subsequent created sounds.

www.fmod.org/media/Sound_Def_Shotgun.mp3

www.fmod.org/media/Sound_Def_Spell.mp3

www.fmod.org/media/Sound_Def_Example_Mine.mp3

www.fmod.org/media/Sound_Def_Example_Submerged.mp3

There will be more information on real-time generated sound creation later in this section and in the section on Multi Track Events.


Accessing the Sound Defs View

Navigation: Key topics in this section. > Introduction to Sound Defs >

Accessing the Sound Defs View

 Return to chapter overview

The Sound Defs View can be accessed from any point in FMOD Designer 2010 in the following manner.

Process: Accessing the Sound Defs View
Step | Action
1 | Access the Sound Defs View by pressing the Sound Defs Button in FMOD Designer 2010 FMOD will switch to the Sound Defs View

The Sound Defs View (Sound Defs Browser outlined)

By default when a new project is created FMOD Designer 2010 will have no Sound Defs created and the Sound Defs Browser pane will be empty.

Sound Defs can be created directly within the Sound Defs Browser pane or they can be grouped together into Sound Def Folders. Sound Def Folders do not affect the functionality of Sound Defs or Events in any way; they are simply to assist in managing assets within a project. Sound Defs can be assigned to a folder at any time without affecting playback or Event structure.


Creating a Sound Def Folder

Navigation: Key topics in this section. > Introduction to Sound Defs >

Creating a Sound Def Folder

 Return to chapter overview

Sound Def Folders can be created in the following manner.

Process: Creating a Sound Def Folder
Step | Action
1 | Access the Sound Defs View by pressing the Sound Defs Button in FMOD Designer 2010 FMOD will switch to the Sound Defs View
2 | Within the Sound Defs Browser pane Right-click and a context-sensitive menu will appear
3 | Select Add Sound Def Folder from the menu A pop-up window will appear
4 | Type in the desired name for the new Sound Def folder
5 | Click on Ok, or hit Enter to create the new Sound Def folder The new Sound Def folder will now be displayed in the Sound Defs browser

After creating your Sound Def Folders, you can populate them as required with Sound Defs.


Creating a Sound Def

Navigation: Key topics in this section. > Introduction to Sound Defs >

Creating a Sound Def

 Return to chapter overview

Sound Defs can be created in the following manner.

Process: Creating a Sound Def
Step | Action
1 | Click the Sound Defs button to access the Sound Defs View
2 | Within the Sound Defs Browser pane right-click on either a Sound Def folder you wish to add the Sound Def to, or in the general Browser The context-sensitive menu will appear
3 | Select Add Sound Def… from the menu A pop-up window will appear
4 | Type in the desired name for the new Sound Def
5 | Click on Ok, or hit Enter to create the new Sound Def

The new Sound Def will now be displayed in the Event Browser. If the Sound Def was assigned to a Sound Def folder it will appear as part of that folder group, if it was assigned to the general area it will appear in the browser beneath existing Sound Def folders and Sound Defs.

Creating a new Sound Def

Clicking on a Sound Def folder or Sound Def will display the relevant information for that object. The Properties pane will display a list of all the properties and default values for the object. Each Sound Def folder or Sound Def will have a small icon on its left hand side, either a + or a - icon. Clicking the + icon will expand the Sound Def or Sound Def folder to display its contents within the Browser pane. The – icon will collapse the selected object and hide its contents. If an object has neither a + or a – icon it means that there is nothing contained within the object.

When a Sound Def is selected the Playlist pane will display all the sound files associated with the selected Sound Def.


Selecting A Sound Def

Navigation: Key topics in this section. > Introduction to Sound Defs >

Selecting A Sound Def

 Return to chapter overview

Sound Defs can be selected in the following manner.

Process: Selecting a Sound Def
Step | Action
1 | Access the Sound Defs View by pressing the Sound Defs Button FMOD will switch to the Sound Defs View
2 | If the Sound Def is not expanded within the Sound Defs Browser pane expand the Sound Def folder by clicking on the + icon attached to the folder The Sound Def folder will expand to display the Sound Defs within it
3 | Click on the desired Sound Def FMOD Designer 2010 will display the Playlist and Properties panes for the selected Sound Def

?Note to Reader

Clicking on the + icon on a Sound Def within the Browser pane will expand the Sound Def to display the sound files associated with it. FMOD Designer 2010 will also automatically expand a Sound Def and display its contents when additional sound files are dragged into the Sound Def.

The Sound Defs View

This graphic illustrates the Sound Defs view, note that the contents of the selected Sound Def are displayed in the expanded Sound Def in the Browser pane as well as in the Playlist pane.

There are two sets of Play controls within the Sound Defs view; Playlist Play and Sound Def Play.


Playlist Play

Navigation: Key topics in this section. > Introduction to Sound Defs > Selecting A Sound Def >

Playlist Play

 Return to chapter overview

The Playlist Play controls will play only the raw sound files that are listed in the Playlist. Sound Files can be selected by clicking on them and the Play control will audition only the selected sound-file. If no sound file is selected the Playlist Play control will default to auditioning the topmost sound file in the Playlist.


Sound Def Play

Navigation: Key topics in this section. > Introduction to Sound Defs > Selecting A Sound Def > Playlist Play >

Sound Def Play

 Return to chapter overview

The Sound Def Play control will audition the selected Sound Def with all its Properties active. This means it will add any volume, pitch or other properties that have been altered from the default state and will cycle through the Playlist in the manner defined in the Play Mode Property. It is important to understand the different functions of these two control sets.

After creating a Sound Def it is possible to assign sound files to it. There are a range of suitable files that can function as sound files within FMOD Designer 2010 on both PC and Mac platforms.

· .aif
· .aiff
· .asf
· .flac
· .fsb
· .mid
· .mp2
· .mp3
· .ogg
· .wav
· .wma

FMOD Designer 2010 will remember the location path for any sound files assigned to Sound Defs or Sound Events. There are two methods of assigning sound files to Sound Defs within FMOD Designer 2010:

1. Browsing for sound files via FMOD Designer 2010
2. Dragging a file directly from a folder on your hard drive


Assigning sound files to A Sound Def

Navigation: Key topics in this section. > Introduction to Sound Defs >

Assigning sound files to A Sound Def

 Return to chapter overview

Sound files can be assigned to Sound Defs in two ways.

Option 1

Process: Assigning Sound Files to a Sound Def
Step | Action
1 | Access the Sound Defs View by pressing the Sound Defs Button
2 | Within the Sound Defs Browser right-click on the desired Sound Def A context-sensitive menu will appear
3 | Select Add sound file… A pop-up browser window will be displayed
4 | Navigate to the appropriate location on the computer and select the desired sound file or multiple sound files
5 | Click Ok or hit Enter to assign the sound files The Sound Def Browser pane will update to display the new sound files

Option 2

Process: Assigning Sound Files to a Sound Def
Step | Action
1 | Access the Sound Defs View by pressing the Sound Defs Button
2 | Within your computers file browser system navigate to and open the folder that contains the desired sound files
3 | Select the file or group select multiple files to be added to FMOD
4 | Click and drag the selected files onto the Sound Def icon of the target Sound Def within the Sound Def Browser pane

A Sound Def can contain any number of sound files. It will select which file to play based on the Play Mode property in the Properties pane. By default this is set to Random No Repeat, which will result in a different sound file being selected at random each time the Sound Def is triggered with the same sound file never being repeated consecutively. The Sound files assigned to a Sound Def can be auditioned individually in their native state by auditioning them with the Playlist Play control.


Deleting sound files from A Sound Def

Navigation: Key topics in this section. > Introduction to Sound Defs >

Deleting sound files from A Sound Def

 Return to chapter overview

Sound files can be deleted from a Sound Defs in two ways.

Option 1

Process: Deleting Sound Files from a Sound Def
Step | Action
1 | Within the Sound Defs Browser Click on the + icon to expand the Sound Def and display its assigned sound files
2 | Right-click on the target sound file to delete A context-sensitive menu will appear
3 | Select Delete sound file…
4 | If the sound file has not been assigned to any other Sound Def a pop-up window will appear. Select if you wish to keep the sound file within the FMOD project or not. The sound file will be removed from the Sound Def Browser

Option Two

Process: Deleting Sound Files from a Sound Def
Step | Action
1 | Within the Sound Defs Browser click on the + icon to expand the Sound Def and display its assigned sound files.
2 | Within the Sound Defs Browser click on the target sound file to select it
3 | On the computer keyboard hit the Delete key
4 | If the sound file has not been assigned to any other Sound Def a pop-up window will appear. Select if you wish to keep the sound file within the FMOD project or not. The sound file will be removed from the Sound Def Browser

Deleting a Sound file from FMOD Designer 2010 will not result in the file being deleted from the Hard Drive of the computer. It will only remove the file from the project. The file can also be added back into the project at a later date if required.

G Important Note

Once a sound file has been added to any object within FMOD Designer 2010 it will be assigned to a Bank. This means that FMOD Designer 2010 will include it in with the files associated with the relevant project. This also means that the file will be loaded into memory to be utilized in a game project.

Once a sound file has been loaded into a project it can be utilized as many times as desired without requiring further memory resources. This is one of the primary benefits of FMOD Designer 2010’s core functionality. In this manner a single sound file can be utilized over and over in a variety of different ways and be included in many different Sound Events while only using the memory of a single sound file.


The Sound Defs Browser: Additional Functions

Navigation: Key topics in this section. > Introduction to Sound Defs >

The Sound Defs Browser: Additional Functions

 Return to chapter overview

The right-click menu within the Sound Defs Browser provides a range of administrative editing options. Cut/copy/paste and delete functions for Sound Defs, Sound Def folders and sound files are included as well as other menu functions.

There are three special functions within the context-sensitive menu for Sound Defs that allow for additional objects to be created or assigned to Sound Defs.

1. Add Oscillator
2. Add don’t play entry
3. Add programmer sound

This help file was created with an unregistered evaluation copy of Help & Manual. © EC Software. All rights reserved. This message will not appear if you compile this help file with the registered version of Help & Manual.


Add Oscilator

Navigation: Key topics in this section. > Introduction to Sound Defs > The Sound Defs Browser: Additional Functions >

Add Oscilator

 Return to chapter overview

The Add Oscillator function will provide a further pop-up window with which to select the type of waveform and the frequency of the waveform required.

The New Sound Selection Window and Oscillator Definition Window


Add Don’t Play

Navigation: Key topics in this section. > Introduction to Sound Defs > The Sound Defs Browser: Additional Functions > Add Oscilator >

Add Don’t Play

 Return to chapter overview

The Add Don’t Play entry effectively creates a silent sound file. This entry is added to the Playlist like any other sound file. It allows for a Sound file entry to be triggered without generating any sound.

?Note to Reader

The Add Don’t play entry can be extremely useful. It can be used to quickly reduce the frequency of which sounds are triggered in a Sound Def without having to rebalance the play percentage weightings.

A Sound Def could be created to generate a specific repeating music beat. A don’t play entry works very well to create off beats or beat rests.


Add Programmer Sound

Navigation: Key topics in this section. > Introduction to Sound Defs > The Sound Defs Browser: Additional Functions > Add Oscilator >

Add Programmer Sound

 Return to chapter overview

Add Programmer Sound allows for information defined specifically by a programmer to provide a specific result in the game. A Sound Designer will usually only ever select this option when asked to do so by a programmer.


Playlists

Navigation: Key topics in this section. > Introduction to Sound Defs >

Playlists

 Return to chapter overview

The Playlist of a Sound Def contains important functionality for how a Sound Def sounds. It is directly connected to the Play Mode field in the Properties pane. The simplest entry of a single sound file will result in that single sound file being played, but when multiple sound files are assigned to a Sound Def there are many ways in which the sounds can be triggered.

The Playlist pane and play weighting information

There are several ways in which FMOD Designer 2010 will access the playlist. The default setting is Random No Repeat, as described earlier in this section.

The different modes allow for:

? Sequential playback
? Random playback
? Sequential playback after the list order is shuffled
? Playback determined relative to the entire project contents
? Playback defined by parameters set by a programmer

These various options allow for structured or random effects to be created with a varying range of degrees.

When sound files are assigned to a Sound Def, FMOD will automatically assign a play weighting value to each sound file. The value is determined by the number of files. Four sound files would each be weighted at 25%, five files would each be weighted at 20% and so on.

Essentially by default each file has the same chance of playing as any other file. These weighting or percentage values can be altered by the user to create more or less chance of any one sound file being selected to play within the Sound Def.

In the control value slider window there is a tick-box titled Lock. This option will lock the value of the selected sound file to the defined value. Percentage values are measured in percentages between 0% and 100%. Weighting values can be defined at any value between 0 and 10,000. Using weighting values essentially allows a greater number of increments, also locking of percentages does not prevent altering weighting values. This allows for two different approaches to determining playback behavior.

?Note to Reader

Percentage and weighting apply to the same functionality. Generally using weighting allows a greater number of increments than percentage.


Altering Playback Percentage Weighting for Playlists

Navigation: Key topics in this section. > Introduction to Sound Defs >

Altering Playback Percentage Weighting for Playlists

 Return to chapter overview

Sound file playback weighting can be altered in the following manner.

Process: Altering Playback Percentage Weighting for Playlists
Step | Action
1 | Within the Sound Defs Browser Click on the target Sound Def to select it The Playlist and Properties panes for the selected Sound Def should display
2 | Within the Playlist pane Double-Click on the displayed percentage or weighting value to the right of the target sound file
3 | A context-sensitive control will appear Click and drag the control slider to the desired value OR Click in the numerical display box and type in the desired value
4 | Click anywhere outside of the control to close the window The new percentage value should now be displayed


Defining percentages for playback

Navigation: Key topics in this section. > Introduction to Sound Defs > Altering Playback Percentage Weighting for Playlists >

Defining percentages for playback

 Return to chapter overview

Defining percentages for playback

Keep the following rules in mind when defining percentages for playback.

The combined percentages of all sound file play-back must add up to 100%, this cannot be avoided. The lock function for each value slider can be locked to set a sound file at a particular value and prevent it from changing. Otherwise FMOD Designer 2010 will automatically balance out all non-locked percentages evenly.

So four sound files set to 25% each, shifting one sound file to 40% will result in the remaining 60% to be evenly spread across the other three sound files (resulting in 20% each).

This means you can never lock all the sound files. There will always need to be two that remain unlocked so that changes to one can be balanced out across the other to maintain the overall 100% combined value.


Sound Defs Tutorial 01: Creating variation with limited Sound Files

Navigation: Key topics in this section. >

Sound Defs Tutorial 01: Creating variation with limited Sound Files

 Return to chapter overview

One of the most common errors with many game projects is noticeable repetition of sound Events. In the real world it is almost impossible to create exactly the same sound twice, sounds from the same source can vary greatly every time they are created. Limited resources in games often result in the exact opposite of this as a single or small number of sound files are used to represent a repetitive sound source. Footstep sounds are a good example of this.

Anything that has legs is going to make noise when it interacts with the environment. Each footfall will vary slightly in sound as a result of weight distribution, movement speed and the surface being walked on. Many games represent the sound of walking with a very small number of sound files, often as few as two different step sounds. This can have the result of creating an obvious and annoyingly repetitive sound Event.

Sound Defs within FMOD Designer 2010 are perfectly geared to maximize the randomization of sound playback even with a limited number of sound files. This tutorial will work through the steps of creating a simple Sound Def to generate more realistic footstep sounds.

This Tutorial will require a basic project to be created. As always it is recommend a new project folder be created and all the necessary assets be placed into the project folder for ease of production and archiving. The files that are going to be used to demonstrate this tutorial can be accessed blow or any suitable files can be utilized.

www.fmod.org/media/sound_defs_tute01.zip


Step 1: Setting up the Project

Navigation: Key topics in this section. > Sound Defs Tutorial 01: Creating variation with limited Sound Files >

Step 1: Setting up the Project

 Return to chapter overview
Process: Set up the Project
Step | Action
1 | Create a new project folder in an appropriate location on your computer (Refer to Section 3 for details)
2 | Copy the tutorial sound files into the project folder FOOTSTEPS_CONCRETE_01-08 Wav files FOOTSTEPS_GRAVEL_01 & 02 Wav file FOOTSTEPS_LEAVES_01-04 Wav files
3 | Create a new project in FMOD Designer 2010 and save it to the project folder

With the basic setup achieved it is now time to create the files structure in the Sound Defs view to construct this project. This tutorial will contain multiple example Sound Defs to illustrate the effectiveness of different approaches.


Step 2: Creating the Sound Defs Folder Structure

Navigation: Key topics in this section. > Sound Defs Tutorial 01: Creating variation with limited Sound Files >

Step 2: Creating the Sound Defs Folder Structure

 Return to chapter overview
Process: Creating the Sound Defs Folder Structure
Step | Action
1 | Access the Sound Defs View by pressing the Sound Defs Button in FMOD Designer 2010. FMOD will switch to the Sound Defs View
2 | Within the Sound Defs Browser, right-click and select Add Sound Defs folder
3 | A pop-up window will appear, type Character Sounds and hit Enter A new Sound Defs folder will now be added to the Browser pane
4 | Within the Sound Defs Browser right-click on the Character Sounds folder and select Add Sound Def…
5 | A pop-up window will appear, type Footsteps Gravel and hit Enter A new Sound Def will now be added to the Character Sounds folder
6 | Repeat steps 4 and 5 and create two more Sound Defs titled Footsteps Wood and Footsteps Leaves

Now you have created the basic structure for this tutorial. The next step is to assign sound files to the Sound Defs. There are two methods of assigning sound files to a Sound Def, either method is suitable.


Step 3: Assigning Sound Files to a Sound Def

Navigation: Key topics in this section. > Sound Defs Tutorial 01: Creating variation with limited Sound Files >

Step 3: Assigning Sound Files to a Sound Def

 Return to chapter overview

Option 1

Process: Assigning Sound Files to a Sound Def
Step | Action
1 | Within the Sound Defs Browser Click on the + icon on the Character Sounds folder to ensure its contents are displayed
2 | Right-click on the Sound Def Footsteps Gravel A context-sensitive menu will appear
3 | Select Add sound file… A pop-up browser window will be displayed
4 | Navigate to the Projects folder and select the two files named FOOTSTEPS_GRAVEL
5 | Click Ok or hit Enter to assign the sound files The Sound Def Browser pane will update to display the new sound files
6 | Repeat steps 2-5 to assign the appropriate sound files to the two remaining Sound Defs FOOTSTEPS_CONCRETE and FOOTSTEPS_LEAVES

Option 2

Process: Assigning Sound Files to a Sound Def
Step | Action
1 | Within the Sound Defs Browser Click on the + icon on the Character Sounds folder to ensure its contents are displayed
2 | Navigate to and open the folder that contains the desired sound files.
3 | Select the two files named FOOTSTEPS_GRAVEL
4 | Click and drag the selected files onto the Sound Def icon of the FOOTSTEPS_GRAVEL Sound Def within the Sound Def Browser pane
5 | Release the mouse to assign the sound files The Sound Def Browser pane will update to display the new sound files
6 | Repeat steps 2-5 to assign the appropriate sound files to the two remaining Sound Defs FOOTSTEPS_CONCRETE and FOOTSTEPS_LEAVES

All three Sound Defs should now display the sound files that have been assigned to them. You will notice that we have assigned a different number of sound files to each of the Sound Defs.

? FOOTSTEPS_GRAVEL contains two sound files
? FOOTSTEPS_LEAVES contains four sound files
? FOOTSTEPS_CONCRETE contains eight sound files

This variation in sound file numbers will help demonstrate a level of effective variation that can be achieved using Sound Defs.

Play the Footsteps Gravel Sound Def to demonstrate the first example.

This is the most basic sound to represent footsteps, two different sound files that alternate each time the Sound Def is triggered.

The next step is to audition this Sound Def can be auditioned.


Step 4 Auditioning the First Example

Navigation: Key topics in this section. > Sound Defs Tutorial 01: Creating variation with limited Sound Files >

Step 4 Auditioning the First Example

 Return to chapter overview

Take the following steps to audition the Sound Def.

Process: Auditioning the Sound Def
Step | Action
1 | Within the Sound Defs Browser, click to select the Footsteps Gravel Sound Def The Playlist pane should display the two sound files associated with this Sound Def
2 | Use the Sound Defs Play control in the Properties pane to trigger the Sound Def
3 | Each time the Play button is pressed it will trigger the Sound Def once Continually trigger the Sound Def to simulate a walking sound effect

You should notice right away that, as a sound effect, this Sound Def does not create a convincing sound of someone walking. The Play Mode filed in the Properties pane is set to Random no repeat, this means that by default FMOD will randomize from the selection of available sound files assigned to a Sound Def, but when there are only two sound files the result will always be alternating playback.

Repeating Step 3 but selecting the Footsteps Leaves Sound Def will illustrate very quickly the difference having more sound files will make. Trigger the Footsteps Leaves Sound Def repeatedly and listen to the difference between it and the Footsteps Gravel Sound Def. The Footsteps Leaves Sound Def contains four sound files, FMODs default playback behavior means that the four sound files will be triggered in a random order. Even increasing the number of files from two to four sound files can make a significant difference to how realistic the end result is.

This gives you a good example of why Sound Defs are an essential component of good sound design.

The next step will be to add some further variation to the Footsteps Leaves Sound Def to increase the randomization of playback.

?Note to Reader

This tutorial uses three example Sound Defs that all contain different sound files. This is primarily to make the tutorial more interesting than simply working with a single set of sounds. An alternative and perhaps more accurate way of hearing the difference between the sounds as each extra process is added would be to use the exact same sound files for each step but start with only 2 sound files, then increase the number for each step. In this manner you could compare how each step improves the sound with the same sound files.

One of the main characteristics of sounds generated in the real world is the subtle alteration of pitch each time a similar sound is generated. Often the difference between one footstep and the next (assuming the exact same surface type) is that slight increase or decrease in weight applied to the step. The effect of these subtle changes can be simulated by alter the pitch of the sound each time it is triggered. This alteration is done in the Sound Def Properties pane.


Step 5 Applying Pitch Randomization

Navigation: Key topics in this section. > Sound Defs Tutorial 01: Creating variation with limited Sound Files >

Step 5 Applying Pitch Randomization

 Return to chapter overview

Pitch randomization can be defined two ways

Option 1

Process: Defining Pitch Randomization
Step | Action
1 | Within the Sound Defs Browser, click to select the Footsteps Leaves Sound Def The Playlist pane should display the four sound files associated with this Sound Def and the Properties pane will display the default Properties values
2 | Within the Properties pane click inside the Values field for the Pitch Randomization Property. The field should highlight to allow typed input
3 | Type in the number 3 The Value should display as 3 and will be immediately applied to the Sound Def

Option 2

Process: Defining Pitch Randomization
Step | Action
1 | Within the Sound Defs Browser, click to select the Footsteps Leaves Sound Def The Playlist pane should display the four sound files associated with this Sound Def and the Properties pane will display the default Properties values
2 | Within the Properties pane click inside the Values field for the Pitch Randomization Property. The field should highlight and an arrow icon should appear on the right hand edge of the input field
3 | Click on the arrow icon A context-sensitive window will display the value adjustment slider
4 | Moving the slider up or down will result in the value changing, the display at the bottom of the value slider will display the defined value as the slider is moved
5 | Position the slider so the value display reads +/- 3.00 semitones

Step 4 has added a range of pitch randomization to the Sound Def that will be recalculated each time the Sound Def is triggered. The value defined for this tutorial of +-3 semitones will result in each sound file being randomized over a 6 semitone range each time it is played. Even a small range like +-3 semitones can provide the perception of many different sounds being played.

?Note to Reader

The range values over which sounds are randomized are largely a personal choice for the Sound Designer. There are obvious extremes at which sounds will alter significantly enough that they may no longer be representative of the original sound file, but this can also be a very useful tool in sound design.

Extreme pitch shifting can achieve some unexpected results. Experiment with this function as it can be used to create effective and interesting sound Events. Remember that once a sound file exists in FMOD it can be utilized an infinite number of times without requiring more memory, so using a single sound file to create lots of sound effects is extremely resource efficient.

For general randomization of sound files while maintaining coherency with the original sound a range of plus or minus 3 semitones is a safe range to start with.

Now that some pitch randomization has been defined for the Footsteps Leaves Sound Def, repeated triggering of the Sound Def will demonstrate the effectiveness of this extra step.

The pitch randomization process has effectively turned four sound files into an almost infinite number of variations. Playback of the Sound Def will now result in a more varied and realistic series of footsteps.

The final step in creating an effective footstep sound Event is to add some volume variation. In the same way that each step in the real world may alter slightly in pitch they will also alter in amplitude. A heavier footfall will be louder than a light step. Combining both pitch randomization and volume randomization goes a long way to simulating how things sound in the real world. For this final step we will use the third Sound Def, Footsteps Concrete.

Footsteps Concrete contains eight sound files so there is already far more sounds to be selected from when the Sound Def is triggered.

Process: Defining Pitch Randomization (cont.)
Step | Action
6 | In the Sound Defs Browser select the Footsteps Concrete Sound Def and repeat steps 2-5 above.


Step 6: Applying Volume Randomization

Navigation: Key topics in this section. > Sound Defs Tutorial 01: Creating variation with limited Sound Files >

Step 6: Applying Volume Randomization

 Return to chapter overview

Volume randomization can be defined two ways.

Option 1

Process: Applying Volume Randomization
Step | Action
1 | Within the Sound Defs Browser, click to select the Footsteps Concrete Sound Def The Playlist pane should display the eight sound files associated with this Sound Def and the Properties pane will display the default Properties values
2 | Within the Properties pane click inside the Values field for the Volume Randomization Property. The field should highlight to allow typed input
3 | Type in the number -3 The Value should display as -3 and will be immediately applied to the Sound Def

Option 2

Process: Applying Volume Randomization
Step | Action
1 | Within the Sound Defs Browser, click to select the Footsteps Concrete Sound Def The Playlist pane should display the eight sound files associated with this Sound Def and the Properties pane will display the default Properties values
2 | Within the Properties pane, click inside the Values field for the Volume Randomization Property. The field should highlight and an arrow icon should appear on the right hand edge of the input field
3 | Click on the arrow icon A context-sensitive window will display the value adjustment slider
4 | Moving the slider up or down will result in the value changing, the display at the bottom of the value slider will display the defined value as the slider is moved
5 | Position the slider so the value display reads - 3.00 dB (70%)

The Footsteps Concrete sound has now defined a window of 3dB over which each sound file will be randomized. 3dB is only a small variation of amplitude as again experimenting with various values is recommended. Repeated triggering of the Footsteps Concrete Sound Def with the combination of eight Sound Files, pitch and volume randomization should demonstrate a far more effective and realistic walking sound effect than the original, two Sound File, Sound Def.

The sound files used in this tutorial were used to provide a clear example for the purposes of demonstration. The steps and process of this tutorial could just as easily be applied to randomize any type of sound effect. Animal calls, creaking floorboards, splashing water would all benefit in the same way. Essentially any sound that is generated repeatedly in the real world should benefit from various levels of randomization.

?Note to Reader

As a final step to further expand the possibilities of the Sound Defs used in this tutorial. Select one of the Sound Defs and in the Properties pane alter the Pitch value down an extreme value (-24.00 semitone or two octaves). The exact value will depend on the files being used, but an extreme lowering in pitch can achieve the sound of a giant or huge monster stomping around. Again, experimentation is highly recommended.


Sound Defs Tutorial 02: Creating Perpetually Generating Sounds

Navigation: Key topics in this section. >

Sound Defs Tutorial 02: Creating Perpetually Generating Sounds

 Return to chapter overview

One of the most commonly used sound types in game projects are environmental sound effects. Weather elemental effects, ambient creature affects and mechanical ambience are often used to support the immersive effect of game environments. Environmental ambience sounds are also commonly one of the more difficult sounds to create effectively.

The sounds of insects in a desert or a distant thunderstorm are problematic because lengthy sound files require a large amount of memory. Streaming large ambient files from disk can only partially solve this problem as both music and dialogue also often need to be streamed and this can cause additional problems. The best solution would be to use very small files, but this creates the problem of noticeable loop points and very repetitive ambient effects, which should be avoided.

This tutorial will demonstrate how to create environmental ambient sounds that require very little in the way of memory usage and yet produce perpetually generating sounds that will never noticeably loop nor be obviously repetitive.

Most environmental sounds in the real world are made up of dozens or even hundreds of individual sounds being generated by multiple sound sources. FMOD Designer 2010 allows for this behavior to be replicated. This tutorial will start with a simple example using a single sound file and expand upon the process to demonstrate the possibilities.

Start this tutorial by creating a basic project. As always, it is best to create a new project folder and place all the necessary assets into the project folder for ease of production and archiving. The files that are going to be used to demonstrate this tutorial can be accessed below.

www.fmod.org/media/sound_defs_tute02.zip


Step 1: Setting up the Project

Navigation: Key topics in this section. > Sound Defs Tutorial 02: Creating Perpetually Generating Sounds >

Step 1: Setting up the Project

 Return to chapter overview

Start by creating a new project folder.

Process: Creating a New Project Folder
Step | Action
1 | Create a new project folder in an appropriate location on your hard drive
2 | Copy the tutorial sound files into the project folder Cricket_single_cycle.wav Frog01-04 Wav files WAVES_SUBMERGED_01-08 Wav files
3 | Create a new project in FMOD Designer 2010 and save it to the project folder

With the basic setup achieved it is now time to create the Sound Def folder structure in the Sound Defs view to construct this project. This tutorial will contain multiple example Sound Defs to illustrate the effectiveness of different approaches.


Step 2: Creating the Sound Defs Folder Structure

Navigation: Key topics in this section. > Sound Defs Tutorial 02: Creating Perpetually Generating Sounds >

Step 2: Creating the Sound Defs Folder Structure

 Return to chapter overview
Process: Creating the Sound Defs Folder Structure
Step | Action
1 | Access the Sound Defs View by pressing the Sound Defs button in FMOD Designer 2010
2 | Within the Sound Defs Browser, right-click and select the Add Sound Defs folder menu item
3 | A pop-up window will appear, type Environmental Ambiences and hit Enter A new Sound Defs folder will now be added to the Browser pane
4 | Within the Sound Defs Browser right-click on the Environmental Ambiences folder and select Add Sound Def…
5 | A pop-up window will appear, type Crickets and hit Enter A new Sound Def will now be added to the Environmental Ambiences folder
6 | Repeat steps 4 and 5 and create two more Sound Defs titled Frogs and Waves

Step 2 has created the basic structure for this tutorial. Now the Sound Defs need to have sound files assigned to them. There are two methods of assigning sound files to a Sound Def, either method is suitable.


Step 3: Assigning Sound Files to the Sound Def

Navigation: Key topics in this section. > Sound Defs Tutorial 02: Creating Perpetually Generating Sounds >

Step 3: Assigning Sound Files to the Sound Def

 Return to chapter overview

Use one of the following methods to assign the files to your Sound Def.

Option 1

Process: Assigning Sound Files to the Sound Def
Step | Action
1 | Within the Sound Defs Browser click on the + icon on the Environmental Ambiences folder to ensure its contents are displayed
2 | Right-click on the Sound Def Crickets A context-sensitive menu will appear
3 | Select Add sound file… A pop-up browser window will be displayed
4 | Navigate to the projects folder and select the single file titled Crickets
5 | Click Ok or hit Enter to assign the sound files The Sound Def Browser pane will update to display the new sound files
6 | Repeat steps 2-5 to assign the appropriate sound files to the two remaining Sound Defs Frogs and Waves

Option 2

Process: Assigning Sound Files to the Sound Def
Step | Action
1 | Within the Sound Defs Browser click on the + icon on the Environmental Ambiences folder to ensure its contents are displayed
2 | On the computer navigate to and open the folder that contains the desired sound files.
3 | Select the single file named Crickets
4 | Click and drag the selected files onto the Sound Def icon of the Crickets Sound Def within the Sound Def Browser pane
5 | Release the mouse to assign the sound files The Sound Def Browser pane will update to display the new sound files
6 | Repeat steps 2-5 to assign the appropriate sound files to the two remaining Sound Defs; Frogs and Waves Frogs will involve assigning 4 sound files and waves will involve assigning 8 sound files.

All three Sound Defs should now display the sound files that have been assigned to them. You will notice that as with the previous tutorial, we have assigned a different number of sound files to each of the Sound Defs.

? Crickets contains one sound file
? Frogs contains four sound files
? Waves contains eight sound files

In this tutorial the different number of sound files is used to demonstrate how to create an effective ambiance very limited resources.


Demonstration

Navigation: Key topics in this section. > Sound Defs Tutorial 02: Creating Perpetually Generating Sounds > Step 3: Assigning Sound Files to the Sound Def >

Demonstration

 Return to chapter overview

Before continuing with the creation of the Sound Defs it is worth demonstrating the effect that is being sought. The following sound file is the sound of a region at night that contains many frogs. From listening to the sound it is apparent that the frogs are positioned in a variety of locations around the listener. Each of the frogs has a regular pattern call that consistently repeats but the location of each individual frog is different and changes as they move around. The overall combination of all the frogs together creates the environmental ambient effect.

www.fmod.org/media/Sound_Def_Example_Frog_Ambience.mp3

A single frog taken in isolation generates a consistent repetitive cyclic sound. In fact it is surprisingly regular as most sounds in nature do not repeat exactly the same. The regularity of this frog sound can be a great advantage to creating an efficient sound effect.

www.fmod.org/media/Sound_Def_Example_Frog_Isolated.mp3

By selecting a single cycle for the above frog sound it is possible to create a very small sound file that can be used in repetition to reproduce the sound of the frog with a very efficient use of resources. The Sound File used for this tutorial consists of a single cycle of the frogs repeating call. This is one of the sound file that is now present in the Frogs Sound Def. Play the file below and then audition the Sound Def, they should match.

www.fmod.org/media/Sound_Def_Tute02_Frogs.mp3

The Crickets Sound Def can achieve an effective result with only a single sound file. The four sound files that make up the Frogs Sound Def provide a greater level of variation.


Step 4 Auditioning the First Example

Navigation: Key topics in this section. > Sound Defs Tutorial 02: Creating Perpetually Generating Sounds >

Step 4 Auditioning the First Example

 Return to chapter overview

Take the following steps to audition the Cricket Sound Def.

Process: Audition the Crickets Sound Def
Step | Action
1 | Within the Sound Defs Browser, click to select the Crickets Sound Def The Playlist pane should display the single sound file associated with this Sound Def
2 | Use the Sound Defs Play control in the Properties pane to trigger the Sound Def
3 | Each time the Play button is pressed it will trigger the Sound Def once Continually trigger the Sound Def to simulate a single cricket chirping repeatedly

The Crickets Sound Def could be assigned to an Event and set to Looping and this would simulate the non-stop cyclic behavior of the original single cricket call, but this limits the effect to only a single cricket. Adding multiple layers, all with instances of this Sound Def to an Event would only result in multiples of the same sound being played simultaneously as they would all start and end together.

You can create the sound of multiple crickets in an environment all within the Sound Def functionality.

The Spawn Time Property is a function that instructs FMOD to repeatedly trigger a Sound Def over and over. Depending on the values defined in the Spawn Time Property. The re-triggering of the Sound Def can be set to a regular interval or set to trigger randomly within a defined window of time. The values used in the Spawn Time Property are milliseconds, this provides for greater accuracy and range of values.


Step 5: setting Initial Spawn Time Values

Navigation: Key topics in this section. > Sound Defs Tutorial 02: Creating Perpetually Generating Sounds >

Step 5: setting Initial Spawn Time Values

 Return to chapter overview

There are two ways to define Spawn Time values.

Process: Setting Initial Spawn Time Values
Step | Action
1 | Within the Sound Defs Browser, click to select the Crickets Sound Def The Playlist pane should display the single sound file associated with this Sound Def
2 | Within the Properties pane click within the value field of the Spawn Time Property to activate it
3 | A context-sensitive menu will appear with two sets of values to [0,0] Click on the numerical values to type in new values Or Click and drag on the two arrow icons to set the values of the two fields
4 | Set the left most value to 500 and the right most value to 1000
5 | Click anywhere outside the Spawn Time value field or hit Enter to close the menu The new values will be applied to the Sound Def

The two values refer to minimum amount of time and the maximum amount of time in which the Sound Def will be retriggered. If both values are set to the same amount it will create a regular repeating cycle. For instance a value of 1000 for both values would create a regular cycle set to retrigger every second (1000 milliseconds).

The values of 500 and 1000 set in this tutorial have defined a window in time of between half a second and 1 second. This means FMOD will count at least half a second, but no more than a full second before it triggers the Sound Def, it will then repeat this process indefinitely.

Auditioning the Crickets Sound Def now will result in the sound repeating as if it was set to loop continuously. Although it sounds like it is loop it is in fact being triggered over and over repeatedly and this distinction will become more important in a minute.

The values used in this tutorial of 500 and 1000 have created a window in which the sound should be triggered repeatedly with a level of randomization present. When auditioned however the sound we can here appears completely regular. This is correct behavior with the current settings and is the result of a limitation of the Sound Defs default property settings. The Maximum Polyphony Property defines how many sound files can be triggered simultaneously within a Sound Def. Its default setting of 1, limits FMOD Designer 2010 to only playing one version of the Cricket sound at a time.

Because the Sound File for this tutorial is longer than 1000 milliseconds FMOD Designer 2010 must do the best it can. It counts the required minimum of 500 milliseconds and then somewhere between 500 and 1000 milliseconds it does actually trigger another version of the sound file, but the polyphone property forces it to wait until the currently playing sound has ended before the new one can being to play. The end result in this case is to create a looping effect.

To demonstrate this more clearly set the Spawn Time values to [2000, 3000]. Now that there is a window in time that is of a greater length than the sound file the spawning behavior can be heard clearly. The Cricket sound will play, there will be a delay between 2 and 3 seconds and then the sound will play again. This will continue until the Sound Def is stopped. A delay of 2000 to 3000 milliseconds is not desirable for this tutorial so set the values back to 500 and 1000. We will now adjust the polyphony to allow for multiple sound files to be triggered simultaneously.


Step 6 Setting the Maximum Polyphony Property

Navigation: Key topics in this section. > Sound Defs Tutorial 02: Creating Perpetually Generating Sounds >

Step 6 Setting the Maximum Polyphony Property

 Return to chapter overview

The number of simultaneous sound can be defined in the following way.

Process: Setting the Maximum Polyphony Property
Step | Action
1 | Within the Sound Defs Browser, click to select the Crickets Sound Def The Playlist pane should display the single sound file associated with this Sound Def
2 | Within the Properties pane click within the value field of the Maximum Polyphony Property to activate it
3 | Numerical values can by typed directly into the Value field Type in a value of 10
4 | Click anywhere outside the Spawn Time value field or hit Enter to close the menu The new values will be applied to the Sound Def

Now that the Sound Def can trigger more than one sound file at a time the randomly defined window for spawning time is easy to hear. The Sound Def will now continuously play the Crickets sound with a random time value between each spawn.

Strangely even though the original isolated cricket had a very regular repeating cycle, this slightly irregular cycle still sound convincing as a representation of a real cricket. This is because some species of cricket will have a regular sound and some will have an irregular sound. Also the irregularity can often sound more correct to human ears as exact repetition can sound artificial.

The next two steps are to add a random element to both pitch and volume in the same manner as in Tutorial 1. This will create the illusion of more than a single cricket being present.


Step 7 Applying Pitch Randomization

Navigation: Key topics in this section. > Sound Defs Tutorial 02: Creating Perpetually Generating Sounds >

Step 7 Applying Pitch Randomization

 Return to chapter overview

Pitch randomization can be defined two ways.

Option 1

Process: Applying Pitch Randomization
Step | Action
1 | Click in the Sound Defs Browser to select the Crickets Sound Def The Playlist pane should display the sound file associated with this Sound Def and the Properties pane will be displayed.
2 | Within the Properties pane click inside the Values field for the Pitch Randomization Property. The field should highlight to allow typed input
3 | Type in the number 1 The Value should display as 1 and will be immediately applied to the Sound Def

Option 2

Process: Applying Pitch Randomization
Step | Action
1 | Within the Sound Defs Browser, click to select the Crickets Sound Def The Playlist pane should display the one sound files associated with this Sound Def and the Properties pane will be displayed
2 | Within the Properties pane click inside the Values field for the Pitch Randomization Property. The field should highlight and an arrow icon should appear on the right hand edge of the input field
3 | Click on the arrow icon A context-sensitive window will display the value adjustment slider
4 | Moving the slider up or down will result in the value changing, the display at the bottom of the value slider will display the defined value as the slider is moved
5 | Position the slider so the value display reads +/- 1.00 semitones


Step 8 Applying Volume Randomization

Navigation: Key topics in this section. > Sound Defs Tutorial 02: Creating Perpetually Generating Sounds >

Step 8 Applying Volume Randomization

 Return to chapter overview

Volume randomization can be defined two ways.

Option 1

Process: Applying Volume Randomization
Step | Action
1 | Click in the Sound Defs Browser to select the Crickets Sound Def The Playlist pane should display the single sound files associated with this Sound Def and the Properties pane allow access to the Properties specific to this Sound Def.
2 | Within the Properties pane click inside the Values field for the Volume Randomization Property. The field should highlight to allow typed input
3 | Type in the number -9 The Value should display as -9 and will be immediately applied to the Sound Def

Option 2

Process: Applying Volume Randomization
Step | Action
1 | Within the Sound Defs Browser, click to select the Crickets Sound Def The Playlist pane should display the one sound file associated with this Sound Def and the Properties pane will display be displayed
2 | Within the Properties pane click inside the Values field for the Volume Randomization Property. The field should highlight and an arrow icon should appear on the right hand edge of the input field
3 | Click on the arrow icon A context-sensitive control will display the value adjustment slider
4 | Moving the slider up or down will result in the value changing, the display at the bottom of the value slider will display the defined value as the slider is moved. Position the slider so the value display reads - 9.00 dB (35%)

The addition of Volume and Pitch randomization creates a sound that can be used to represent an area with multiple crickets chirping away. Note that in this tutorial the values of both Volume and Pitch randomization are different to those used in Tutorial 01.

In this tutorial there is a very specific effect we are trying to achieve. +-3.00 semitones of pitch randomization is too extreme a variation for the cricket sound. Conversely a -3dB value is not quite enough randomization to create the illusion of crickets over an area. Experiment with different values of Pitch and Volume randomization to see the different results.

Varying the four Property values used so far in this tutorial will also alter the final result. Increasing the values of the Spawn Time Property will reduce the frequency of spawned sounds and create a more sparse effect with seemingly less crickets. Decreasing the values will have the opposite effect. Increasing the Volume randomization will result in some of the triggered sounds being very quiet; this in turn will create the illusion of the crickets being present over a wider area with some being further away. You can effectively craft your sound to achieve quite different results depending on the values you define.

The variety of different results that can be achieved with altering Property values is quite substantial. Using the Right-click menu in the Browser window you can create copies of the Crickets Sound Def and set the various copies with different Properties. In this way you can create a range of different effect to represent different areas or different times of day with more or less insect activity. Remember copies of existing Sound Defs still use the same sound file resources and so are very efficient with memory and in this case all the effects have been generated with a single very small sound file.

?Note to Reader

One step further

This additional step is optional as it requires the Sound Def to be placed in a Sound Event to be able to hear the difference.

The 3D Position Randomization value is extremely useful in creating Environmental Effects. When a 3D Sound Event is created in a game world, it is assigned a position in 3D space and the listener will position it as required and play it out of the correct speaker either stereo left and right or one of several surround speakers.

By defining a value to the 3D Position Randomization value and placing the Sound Def into a 3D Event you create an offset to the Sound Event position in 3D space. This means the sound will be generated in an area not just in a single point in space.

For Example a 3D position Randomization value of 1 meter will result each spawned sound being played in a different 3D position within 1 meter of the Events 3D location. The result for the listener is that if they stand exactly on the 3D Events location they will hear the spawns occurring all around them like a volumetric effect. This is an excellent way to create the impression of birds in a tree or in fact throughout an entire forest or machinery components that fill an entire room or any other effect that would benefit from having a source location larger than a single point in space.

To utilize this feature a Sound Def has to have a value greater than 0 in the 3D Position Randomization Property and must be placed into a Multi-track Event that has its Mode set to 3D. It is recommended not to use a Volume Randomization value for the Sound Def as the randomizing of the position will result in each spawned sound to be slightly louder or softer depending on their relative distance from the central point. Even very small values of 0.1 will create the perception positioning in space. If you cannot hear your sounds then the 3D randomization values might be set too high so try smaller values.

The creation of other Environmental Ambiences can be achieved using a range of different sound files and combinations of the Property values of Spawn Time, Maximum Polyphony, Volume and Pitch randomization. Use the other sound files provided for this tutorial to experiment with creating more environmental Sound Defs.

Both the frogs and the Waves require more than a single sound file to be effective and the exact number of sound files required will depend greatly on the material being used and the desired end result.

www.fmod.org/media/Sound_Def_Tute02_Crickets.mp3

www.fmod.org/media/Sound_Def_Tute02_Frogs.mp3

www.fmod.org/media/Sound_Def_Tute02_Waves.mp3


Sound Def Properties

Navigation: Key topics in this section. >

Sound Def Properties

 Return to chapter overview

The Sound Def Properties pane contains a range of functions which will directly affect play-back. Certain Properties such as Volume, Volume randomization, Pitch and Pitch randomization are present in both the Sound Def Properties pane and the Events Properties pane. Values added to both of these Properties will combine, so a Pitch value in a Sound Def will combine with a Pitch value in an Event to produce the overall sound created.

?Note to Reader

Note that the 3D position Randomization property will make no noticeable difference to Sound Def playback as Sound Defs do not randomize their positions during Sound Def auditioning. 3D position randomization of Sound Defs will only be noticeable if the Sound Def is made a part of an Event that is set to 3D under the Mode Property of the Event Property pane.

3D position Randomization works on a 3D sound that has a position defined in 3D space. The randomization function will “shift” the generation point of the sound randomly in 3D space by the amount defined in the property.


Sound Def Properties Tables

Navigation: Key topics in this section. > Sound Def Properties >

Sound Def Properties Tables

 Return to chapter overview

This help file was created with an unregistered evaluation copy of Help & Manual. © EC Software. All rights reserved. This message will not appear if you compile this help file with the registered version of Help & Manual.


Sound Def Properties

Navigation: Key topics in this section. > Sound Def Properties > Sound Def Properties Tables >

Sound Def Properties

 Return to chapter overview

Property

Description & Notes

Name

The name of the Sound Def.

Playmode

Specifies which method will be used to select the Sound File for playback.

Sequential: Sound Files are played back in the order in which they are listed in the Sound files view. Further playbacks will result in the repetition of the final entry

SequentialEventRestart: Sound Files are played back in sequential order, however when the Event is restarted, playback returns to the start of the queue.

Random: Sound Files are played back in random order.

RandomNoRepeat: Sound Files are played back in a quasi-random order, with an added restriction that no Sound File is played twice in a row.

Shuffle: Sound Files are played back in a quasi-random order, with an added restriction that no Sound File is repeated until all Sound Files have been played.

ShuffleGlobal: Sound Files are played back in a quasi-random order, with an added restriction that no Sound File is repeated in any Event instance until all Sound Files have been played.

ProgrammerSelected: When the Sound Def is played (or respawned) a callback is created. The programmer then selects which Sound File to play by supplying an index – where index 0, is the first Sound File, 1 is the second, 2 is the third, etc.

Volume

The volume in which the Sound Def will be played. The volume is specified in decibels (dB). The range of values is -60 to 0dB.

Volume randomization

The maximum allowable negative gain deviation to be applied to the Sound Def. The volume randomization is specified in decibels. The range of values is -60 to 0dB.

Pitch

The relative pitch at which the Sound Def will be played. The range of possible values is -48 to 48 semitones.

Pitch randomization

The maximum allowable pitch deviation to be applied to the Sound Def. The pitch randomization is specified in octaves. The range of possible values is 0 to 48 semitones.

Pitch randomization behavior

Determines when the pitch of the Event is recalculated.

Randomize every spawn: Every spawn (default behavior). Randomized once for each newly spawned Sound Def Instance. This is the default setting.

Randomize when triggered by Parameter: Randomized each time the Sound Def instance is triggered by the control parameter.

Randomize When Event Starts: Randomized only when a Sound Def is started, and not on subsequent spawns or parameter changes

Spawn Time

Creates a random spawn time (normally distributed) between the two specified values, measured in milliseconds. 'Spawning' means the Sound Def triggers repeated playback of itself. However, unlike looping, each repeat (or spawn) can overlap the previous sound and starts a new Sound Def. If both values are set to 0, spawning will be disabled

This spawn time range can be scaled using the 'Spawn Intensity' effect.

Note on Spawn Frequency: Spawn frequency is an Event Layer Effect. Spawn Frequency scales the rate at which spawned sounds are triggered within the Event. This applies to Sound Defs in the Event which have non-zero Spawn Times.

The maximum value for both minimum and maximum spawn time is 180,000 milliseconds, or three minutes.

‘Play Count

The specified value acts as a counter. The Sound Def will spawn until that value is reached and then stop

The possible range of values is 0 to 65535.

Note: If this property is set to 0, there is no limit on the number of times the Sound Def will spawn.

Max Polyphony

The number of sound instances within the Sound Def that can be played simultaneously.

The possible range of values is 0 to 2,147,483,647.

Trigger Delay

Creates a window of time between the two specified values. If the two values are equal the Sound Def will be delayed the exact amount of time. If the two values are not equal they create a window of time in which the delay will randomly be determined.

3D Position randomization

This property specifies a range of positional deviation of a Sound Def. This variation is calculated each time the Sound Def is spawned.

The highest possible value for both the minimum and maximum trigger delay is 60,000 milliseconds, or 1 minute.

This property is only functional when the Event mode is set to 3Dand only audible when auditioning an event.

Notes

A text note attached to the Sound Def.


Sound Def Sound File Properties

Navigation: Key topics in this section. > Sound Def Properties > Sound Def Properties Tables >

Sound Def Sound File Properties

 Return to chapter overview

Property

Description & Notes

Sound File

States the name (and directory) of the entry within the Sound Def.

Weight

States the weighted chance of the Sound File being selected for playback. Altering Weight alters Play Percentage, and vice versa

Note: Weight and Play Percentage are different terms for the same function; they are both included to provide choice to different users. Only one of the functions can be displayed at any one time and the check-box must selected to choose between them.

Play Percentage

States the percentile chance of the Sound File being selected for playback and whether playback percentage is locked. Altering Play Percentage alters Weight, and vice versa


Making the Most out of Sound Definitions

Navigation: Key topics in this section. >

Making the Most out of Sound Definitions

 Return to chapter overview

This help file was created with an unregistered evaluation copy of Help & Manual. © EC Software. All rights reserved. This message will not appear if you compile this help file with the registered version of Help & Manual.